@REM  Copyright IBM Corp. 2005, 2006
@REM  THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
@REM  All Rights Reserved * Licensed Materials - Property of IBM
@REM  US Government Users Restricted Rights - Use, duplication or disclosure
@REM  restricted by GSA ADP Schedule Contract with IBM Corp.

@SET LOGFILE=%TMP%\launch_XD.log
@SET ARCH=%PROCESSOR_ARCHITECTURE%
@SET CURRENT_DIR=%~dp0
@ECHO ==== XD 6.0.x Install Launcher ==== >> %LOGFILE%
@ECHO %DATE% %TIME% >> %LOGFILE%
@ECHO ARCH=%ARCH% >> %LOGFILE%

@IF %ARCH%==x86 GOTO IA32
@IF %ARCH%==AMD64 GOTO AMD64

:IA32
@SET ARCH=32-bit
@ECHO "%CURRENT_DIR%XD\Install_IA32.exe" %* >> %LOGFILE%
@IF NOT EXIST "%CURRENT_DIR%XD\Install_IA32.exe" GOTO EXE_NOT_EXIST_ERROR
@"%CURRENT_DIR%XD\Install_IA32.exe" %*
@GOTO END

:AMD64
@ECHO "%CURRENT_DIR%XD\Install_AMD64.exe" %* >> %LOGFILE%
@IF NOT EXIST "%CURRENT_DIR%XD\Install_AMD64.exe" GOTO EXE_NOT_EXIST_ERROR
@"%CURRENT_DIR%XD\Install_AMD64.exe" %*
@GOTO END

:EXE_NOT_EXIST_ERROR
@ECHO Error: This custom installation package does not support Windows %ARCH%.
@ECHO Error: This custom installation package does not support Windows %ARCH%.  >> %LOGFILE%

:END
@ECHO "DONE." >> %LOGFILE%

